<?php

namespace App\Enums;

use App\Libraries\Tradutor;

enum MetodosPagamentoEnum: string
{
    case CARTAO_CREDITO = 'cartao_credito';
    case BOLETO = 'boleto';
    case PIX = 'pix';

    public static function componente(string $metodo): Tradutor|string
    {
        helper(['nortedevbr']);

        return match ($metodo) {
            self::CARTAO_CREDITO->value => t('Cartão de Crédito'),
            self::BOLETO->value => t('Boleto'),
            self::PIX->value => t('Pix'),
            default => t('Método Desconhecido'),
        };
    }

    public static function icone(string $metodo): string
    {
        return match ($metodo) {
            self::CARTAO_CREDITO->value => '<i class="bi bi-credit-card-2-front me-3" style="font-size: 2rem;"></i>',
            self::BOLETO->value => '<i class="bi bi-upc-scan me-3" style="font-size: 2rem;"></i>',
            self::PIX->value => '<i class="bi bi-qr-code me-3" style="font-size: 2rem;"></i>',
            default => '<i class="bi bi-bug me-3" style="font-size: 2rem; color: red"></i>',
        };
    }

    public static function form($metodoPagamento, $produto)
    {
        return match ($metodoPagamento->componente) {
            self::CARTAO_CREDITO->value => $metodoPagamento->formulario,
            self::BOLETO->value => '<div><a class="btn btn-success payment-method" data-id="content_' . $metodoPagamento->componente . $metodoPagamento->id . '" href="' . url_to('dash.to', 'creditos/comprar/' . $produto->id . '/' . self::BOLETO->value) . '">' . t('Gerar boleto') . '</a></div><div id="content_' . $metodoPagamento->componente . $metodoPagamento->id . '"></div>',
            self::PIX->value => '<div><a class="btn btn-success payment-method" data-id="content_' . $metodoPagamento->componente . $metodoPagamento->id . '" href="' . url_to('dash.to', 'creditos/comprar/' . $produto->id . '/' . self::PIX->value) . '">' . t('Gerar pix') . '</a></div><div id="content_' . $metodoPagamento->componente . $metodoPagamento->id . '"></div>',
            default => '<i class="bi bi-bug me-3" style="font-size: 2rem; color: red"></i>',
        };
    }
}