<?php

use App\Libraries\Tradutor;
use Nette\Utils\Strings;

if (!function_exists('tf')) {
    function tf(?string $str = null, ...$values): Tradutor|string
    {
        return sprintf(t($str), ...$values);
    }
}

if (!function_exists('t')) {
    function t(?string $str = null): Tradutor|string
    {
        if (empty($str)) {
            return '';
        }
        return $str;
    }
}

if (!function_exists('removeBearer')) {
    function removeBearer(string $token): string
    {
        $prefix = 'Bearer ';
        if (str_starts_with($token, $prefix)) {
            return substr($token, strlen($prefix));
        }
        return $token;
    }
}

if (!function_exists('slug')) {
    function slug(?string $str = null): string
    {
        if (empty($str)) {
            return 'n-a';
        }

        return Strings::webalize($str);
    }
}