<?php

namespace App\Libraries;

use ReflectionClass;

class CertificadosVariaveis
{
    const NOME_INSCRITO = '${NOME_INSCRITO}';
    const TITULO = '${TITULO}';
    const TEXTO_COMPLEMENTAR = '${TEXTO_COMPLEMENTAR}';
    const DATA_EMISSAO = '${DATA_EMISSAO}';
    const LOCAL_EMISSAO = '${LOCAL_EMISSAO}';
    const QRCODE_URL_VALIDACAO = '${QRCODE_URL_VALIDACAO}';

    public function constantes(): array
    {
        $reflectionClass = new ReflectionClass(__CLASS__);
        return $reflectionClass->getConstants();
    }

    public static function getConstantes(): array
    {
        $reflectionClass = new ReflectionClass(__CLASS__);
        return $reflectionClass->getConstants();
    }

    public static function variaveis(): array
    {
        return [
            self::NOME_INSCRITO => "'Nome inscrito' em um certificado geralmente se refere ao nome completo do destinatário que está sendo certificado. É o nome que será exibido no certificado para identificar a pessoa que está recebendo o reconhecimento ou a certificação, ex. 'Fulano da Silva'",
            self::TITULO => "''Texto introdutório', ex. 'Certificado'",
            self::TEXTO_COMPLEMENTAR => "'Texto complementar' ou 'Declaração', serve para especificar o motivo pelo qual o certificado está sendo concedido e para descrever a realização ou a qualificação do destinatário, ex. 'em reconhecimento à sua participação e conclusão bem-sucedida do...'",
            self::DATA_EMISSAO => "'Data de emissão' em um certificado é a data em que o documento foi oficialmente emitido ou concedido. É uma parte importante do certificado, pois registra o momento em que a certificação foi formalmente reconhecida, ex. '" . Data::porExtenso() . "'",
            self::LOCAL_EMISSAO => "'Lcalidade' ou 'local de emissão', indica o local onde o certificado foi emitido e é frequentemente colocado próximo à data de emissão do documento, ex. 'Fortaleza/CE'",
        ];
    }

    public static function substituir(string $template, array $variaveis): string
    {
        foreach ((new self())->constantes() as $var) {
            if (key_exists($var, $variaveis)) {
                $template = str_replace($var, $variaveis[$var], $template);
            }
        }
        return $template;
    }
}