<?php

namespace App\Libraries;

/**
 * @property string $title
 */
class Head
{
    public array $data = [];

    public function __set(string $name, $value): void
    {
        $this->data[$name] = $value;
    }

    /**
     * @throws ExcecaoCertificaSe
     */
    public function __get(string $name)
    {
        if (key_exists($name, $this->data)) {
            return $this->data[$name];
        }

        ExcecaoCertificaSe::lancar("A propriedade $name não existe");
    }

    public function __toString(): string
    {
        return json_encode($this->data, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES | JSON_NUMERIC_CHECK | JSON_PRETTY_PRINT);
    }

    public function __serialize(): array
    {
        return $this->data;
    }
}