<?php

namespace App\Libraries;

/**
 * @property string $title
 * @property string $folder
 * @property string $view
 * @property string $action
 * @property bool $isEdit
 */
class Sys
{
    public array $data = [];

    public function css(string $css, ?string $folder = null): string
    {
        return $this->getFolder($folder) . '/css/' . $css;
    }

    public function js(string $js, ?string $folder = null): string
    {
        return $this->getFolder($folder) . '/js/' . $js;
    }

    public function getFolder(?string $folder = null): string
    {
        return str_replace("\\", "/", ($folder ?? ($this->folder ?? "")));
    }

    public function getVideoBG(): string
    {
        return '/assets/videos/bg.mp4';
    }

    public function getLogo(string $logo = 'Certifica-se.png'): string
    {
        return '/assets/imagens/' . $logo;
    }

    public function __set(string $name, $value): void
    {
        $this->data[$name] = $value;
    }

    /**
     * @throws ExcecaoCertificaSe
     */
    public function __get(string $name)
    {
        if (key_exists($name, $this->data)) {
            return $this->data[$name];
        }

        ExcecaoCertificaSe::lancar("A propriedade $name não existe");
    }

    public function __toString(): string
    {
        return Suporte::arrayToJson($this->data);
    }

    public function __serialize(): array
    {
        return $this->data;
    }
}