<?php

namespace App\Models;

use CodeIgniter\Model;

class CertificadosModel extends Model
{
    protected $table = 'certificados';
    protected $primaryKey = 'id';
    protected $useAutoIncrement = true;
    protected $returnType = 'object';
    protected $useSoftDeletes = true;
    protected $protectFields = true;
    protected $allowedFields = [
        'id',
        'clientes_id',
        'texto_introdutorio',
        'nome',
        'descricao',
        'local_emissao',
        'data_emissao',
        'created_at',
        'updated_at',
    ];

    protected bool $allowEmptyInserts = false;
    protected bool $updateOnlyChanged = true;

    protected array $casts = [];
    protected array $castHandlers = [];

    // Dates
    protected $useTimestamps = false;
    protected $dateFormat = 'datetime';
    protected $createdField = 'created_at';
    protected $updatedField = 'updated_at';
    protected $deletedField = 'deleted_at';

    // Validation
    protected $validationRules = [];
    protected $validationMessages = [];
    protected $skipValidation = false;
    protected $cleanValidationRules = true;

    // Callbacks
    protected $allowCallbacks = true;
    protected $beforeInsert = [];
    protected $afterInsert = [];
    protected $beforeUpdate = [];
    protected $afterUpdate = [];
    protected $beforeFind = [];
    protected $afterFind = ['getCertificadosModelos'];
    protected $beforeDelete = [];
    protected $afterDelete = [];

    public function getCertificadosModelos($data)
    {
        if (
            isset($data['data']->id) &&
            isset($data['data']->clientes_id) &&
            $data['method'] === "first"
        ) {
            $model = new CertificadosModelosModel();

            $payload = [
                'clientes_id' => $data['data']->clientes_id,
                'certificados_id' => $data['data']->id,
            ];

            $entity = $model->where($payload)->first();

            if (!$entity) {
                $model->save($payload);
                $entity = $model->find($model->getInsertID());
            }

            $data['data']->CertificadosModelos = $entity;
        }
        return $data;
    }
}
