<?php

namespace App\Models;

use CodeIgniter\Model;

class CertificadosModelosModel extends Model
{
    protected $table = 'certificados_modelos';
    protected $primaryKey = 'id';
    protected $useAutoIncrement = true;
    protected $returnType = 'object';
    protected $useSoftDeletes = true;
    protected $protectFields = true;
    protected $allowedFields = [
        'id',
        'clientes_id',
        'certificados_id',
        'mode',
        'frente',
        'verso',
        'configuracoes',
        'created_at',
        'updated_at',
    ];

    protected bool $allowEmptyInserts = false;
    protected bool $updateOnlyChanged = true;

    protected array $casts = [];
    protected array $castHandlers = [];

    // Dates
    protected $useTimestamps = false;
    protected $dateFormat = 'datetime';
    protected $createdField = 'created_at';
    protected $updatedField = 'updated_at';
    protected $deletedField = 'deleted_at';

    // Validation
    protected $validationRules = [];
    protected $validationMessages = [];
    protected $skipValidation = false;
    protected $cleanValidationRules = true;

    // Callbacks
    protected $allowCallbacks = true;
    protected $beforeInsert = [];
    protected $afterInsert = [];
    protected $beforeUpdate = [];
    protected $afterUpdate = [];
    protected $beforeFind = [];
    protected $afterFind = ['getCertificados'];
    protected $beforeDelete = [];
    protected $afterDelete = [];

    public function getCertificados($data)
    {
        if (isset($data['data']->certificados_id) && $data['method'] === "first") {
            $model = new CertificadosModel();
            $entity = $model->find($data['data']->certificados_id);
            $data['data']->Certificados = $entity;
        }
        return $data;
    }
}
