<?php

namespace App\ThirdParty\Cobrancas\DTO;

use ReflectionClass;
use ReflectionProperty;

abstract class DTO
{
    public bool $homologacao = false;
    public ?string $urlCallback = null;
    private array $magic = [];

    public function __construct(?object $obj = null)
    {
        if ($obj) {
            foreach ($obj as $key => $value) {
                $this->magic[$key] = $value;
            }
        }
    }

    public function isHomologacao(): bool
    {
        return $this->homologacao;
    }

    public function setHomologacao(bool $homologacao = true): static
    {
        $this->homologacao = $homologacao;
        return $this;
    }

    public function getUrlCallback(): ?string
    {
        return $this->urlCallback;
    }

    public function setUrlCallback(?object $integrador): static
    {
        $this->urlCallback = url_to('cob.to', 'webbook/integrador/' . $integrador->integrador . '/' . $integrador->id . '/' . ($this->id ?? ''));
        return $this;
    }

    public function getMagic(): array
    {
        return $this->magic;
    }

    public function __set(string $name, $value): void
    {
        $this->magic[$name] = $value;
    }

    public function __get(string $name)
    {
        return $this->magic[$name];
    }

    public function __serialize(): array
    {
        $reflectionClass = new ReflectionClass($this);
        $propriedades = $reflectionClass->getProperties(ReflectionProperty::IS_PUBLIC);

        foreach ($propriedades as $propriedade) {
            $nome = $propriedade->getName();
            $this->magic[$nome] = $this->$nome;
        }

        return $this->magic;
    }
}