<?php

namespace App\ThirdParty\Cobrancas\Integradores;

use App\ThirdParty\Cobrancas\DTO\CobrancaDTO;

abstract class IntegradorAbstract implements IntegradorInterface
{
    protected mixed $boleto;
    protected mixed $qrCode;
    protected CobrancaDTO $cobranca;

    public function __construct(?CobrancaDTO $cobranca = null)
    {
        if ($cobranca) {
            $this->setCobranca($cobranca);
        }
    }

    public function getBoleto(): mixed
    {
        return $this->boleto;
    }

    public function setBoleto(mixed $boleto): static
    {
        $this->boleto = $boleto;
        return $this;
    }

    public function getQrCode(): mixed
    {
        return $this->qrCode;
    }

    public function setQrCode(mixed $qrCode): static
    {
        $this->qrCode = $qrCode;
        return $this;
    }

    public function getCobranca(): CobrancaDTO
    {
        return $this->cobranca;
    }

    public function setCobranca(CobrancaDTO $cobranca): static
    {
        $this->cobranca = $cobranca;
        return $this;
    }

}