<?php

namespace App\ThirdParty\Cobrancas\Integradores;

use App\ThirdParty\Cobrancas\DTO\CobrancaDTO;
use App\ThirdParty\Cobrancas\DTO\ConsultaPagamentoDTO;
use App\ThirdParty\Cobrancas\DTO\WebhookDTO;

interface IntegradorInterface
{
    public function setCobranca(CobrancaDTO $cobranca): static;

    public function criarCobrancaCartaoCredito(): static;

    public function criarCobrancaBoleto(?string $dataVencimento = null): static;

    public function criarCobrancaPix(?string $dataVencimento = null): static;

    public function consultarCobranca(int|string|null $transacaoId = null): static;

    public function cancelarCobranca(int|string|null $transacaoId = null): static;

    public function consultarPagamentos(ConsultaPagamentoDTO $consultaPagamento): static;

    public function webhook(WebhookDTO $webhook): static;
}