<?php

use App\Libraries\Auth;

?>
<?= $this->extend('application/_layout') ?>

<?= $this->section('content') ?>

<div class="container-fluid">
    <div class="row g-3">
        <div class="col-12 d-flex justify-content-between align-items-center">
            <h1>
                <?= Auth::get('nome') ?>
            </h1>
        </div>

        <div class="col-12" id="notificacao"></div>

        <div class="col-12">
            <div class="card card-body">
                <form id="save" class="row g-3" method="post" enctype="multipart/form-data">

                    <div class="col-md-6">
                        <label for="nome" class="form-label"><?= t('Nome completo') ?></label>
                        <input id="nome" name="nome" value="<?= Auth::get('nome') ?? null ?>"
                               type="text"
                               class="form-control">
                    </div>

                    <div class="col-md-4">
                        <label for="email" class="form-label"><?= t('E-mail') ?></label>
                        <input id="email" name="email" value="<?= Auth::get('email') ?? null ?>"
                               type="email"
                               class="form-control">
                    </div>

                    <div class="col-md-2">
                        <label for="senha" class="form-label"><?= t('Senha') ?></label>
                        <input id="senha" name="senha" value="<?= Auth::get('senha') ?? null ?>"
                               type="text"
                               class="form-control">
                    </div>

                    <div class="col-md-12">
                        <button type="submit" class="btn btn-theme">
                            <i class="bi bi-floppy me-1"></i>
                            <?= t('Atualizar') ?>
                        </button>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>

<?= $this->section('js') ?>
<script type="module">
    import {formSubmit, populateForm} from '/assets/js/Global.js';

    let formName = 'form[id=save]';
    formSubmit(formName, 'notificacao');
    populateForm(formName, <?=\App\Libraries\Suporte::arrayToJson($certificadosInscritos ?? null)?>);
</script>
<?= $this->endSection() ?>
