<?php
$locale = service('request')->getLocale();
?><!DOCTYPE html>
<html lang="<?= $locale ?>">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?= $head->title ?></title>
    <link rel="stylesheet" href="<?= $sys->css('styles.css') ?>">
    <?php
    echo link_tag('lib/node_modules/bootstrap/dist/css/bootstrap.min.css');
    echo link_tag('lib/node_modules/bootstrap-icons/font/bootstrap-icons.min.css');
    echo $this->renderSection('css');
    ?>
</head>
<body>
<div id="preloader"><?= t('Carregando...') ?></div>
<div class="video-background">
    <video id="bg-video" playsinline autoplay muted loop>
        <source src="<?= $sys->getVideoBG() ?>" type="video/mp4">
        <?= t('Seu navegador não suporta a tag de vídeo.') ?>
    </video>
    <div class="glass-effect">

        <?php
        $imageProperties = [
            'src' => $sys->getLogo(),
            'alt' => 'Logo',
            'class' => 'img-fluid',
            'width' => '200',
        ];

        echo img($imageProperties);
        ?>

        <div class="content">
            <?= $this->renderSection('content') ?>
        </div>
    </div>
</div>
<script>
    const LOCALE = '<?= $locale ?>';
</script>
<script src="<?= $sys->js('script.js') ?>"></script>
<?php
echo script_tag('lib/node_modules/bootstrap/dist/js/bootstrap.bundle.min.js');
echo $this->renderSection('js');
?>
</body>
</html>
