<?= $this->extend('dashboard/_layout') ?>

<?= $this->section('content') ?>

<div class="container-fluid">
    <div class="row g-3">
        <div class="col-12 d-flex justify-content-between align-items-center">
            <h1><?= t('Certificados do inscrito') ?></h1>
            <!--
            <div class="btn-toolbar" role="toolbar" aria-label="<?= t('Barra de ferramentas com grupos de botões') ?>">
                <div class="btn-group btn-group-sm" role="group" aria-label="<?= t('Grupo padrão') ?>">
                    <a href="<?= current_url() . "/novo" ?>" class="btn btn-theme">
                        <i class="bi bi-plus me-1"></i>
                        <?= t('Novo') ?>
                    </a>
                </div>
            </div>
            -->
        </div>
        <div class="col-12">
            <div class="card card-body">
                <div class="table-responsive">
                    <table id="tbl" class="table table-dark table-hover table-striped" style="width: 100%"></table>
                </div>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>

<?= $this->section('js') ?>
<script type="module">
    import {AjaxRequest} from '/assets/js/AjaxRequest.js';
    import {DataTableButtons} from '/assets/js/DataTableButtons.js';

    moment.locale(LOCALE.toLowerCase());

    const ajaxRequest = new AjaxRequest();
    const currentUrl = new URL(window.location.href);

    const table = new DataTable('#tbl', {
        responsive: true,
        processing: true,
        search: {
            return: true
        },
        serverSide: true,
        language: {
            url: `/assets/i18n/${LOCALE}.json`,
        },
        ajax: {
            url: currentUrl.pathname + '/datatable',
            headers: {
                'X-Requested-With': 'XMLHttpRequest',
                'Authorization': `Bearer ${ajaxRequest.jwt()}`
            },
            type: 'POST',
            data: function (d) {
                d.origem = 'certificados';
                d.origem_join = 'certificados_inscritos';
                d.inscritos_id = <?=$inscritos_id?>;
                d.clientes_id = ajaxRequest.userData()?.id;
            }
        },
        order: [[0, 'desc']],
        columns: [
            {name: 'id', data: 'id', title: 'Certificado'},
            {name: 'certificados_inscritos.id', data: 'certificados_inscritos_id', title: '<?=t('ID')?>'},
            {name: 'nome', data: 'nome', title: '<?=t('Nome')?>'},
            {name: 'descricao', data: 'descricao', title: '<?=t('Descrição')?>'},
            {
                name: 'certificados_inscritos.codigo_validacao',
                data: 'codigo_validacao',
                title: '<?=t('Código validação')?>'
            },
            {
                name: 'data_emissao', data: 'data_emissao', title: '<?=t('Emissão')?>', render: (data) => {
                    return moment(data).format('L');
                }
            },
            {
                name: 'certificados_inscritos.created_at',
                data: 'created_at',
                title: '<?=t('Gerado em')?>',
                render: (data) => {
                    return moment(data).format('L HH:mm');
                }
            },
            {
                name: null,
                data: null,
                width: '50px',
                orderable: false,
                searchable: false,
                render: (data, type, row, meta) => {
                    return DataTableButtons.init(data, type, row, meta)
                        .add('<?=t('Baixar certificado')?>', '<?=url_to('dash.to', "certificados/download/")?>' + data.id + '/' + data.certificados_inscritos_id, 'bi bi-download me-1')
                        // .add('Editar', currentUrl.pathname + '/editar/' + data.id, 'bi bi-pencil-square me-1')
                        // .divider()
                        // .add('Deletar', currentUrl.pathname + '/deletar/' + data.id, 'bi bi-trash me-1', 'delete text-danger')
                        .render();
                }
            },
        ]
    });
</script>
<?= $this->endSection() ?>
