import { AjaxRequest } from './AjaxRequest.js';
export class Auth {
    static async isLogged() {
        const ajaxRequest = new AjaxRequest();
        const token = ajaxRequest.jwt();
        ajaxRequest.bearerToken = token;
        const url = new URL(window.location.href);
        const paths = url.pathname.split('/').filter(item => item);
        try {
            const data = await ajaxRequest.get('/auth/islogged/' + paths[0]);
            if (!data.success) {
                throw new Error(data.message);
            }
            else {
                localStorage.setItem(ajaxRequest.userDataName, JSON.stringify(data.data));
            }
            Auth.addMetaTag('token', token);
            return data;
        }
        catch (error) {
            window.location.href = '/auth?error=' + error;
        }
    }
    static addMetaTag(name, content) {
        const meta = document.createElement('meta');
        meta.name = name;
        if (content !== null) {
            meta.content = content;
        }
        document.head.appendChild(meta);
    }
    static firstName(fullName) {
        if (typeof fullName !== 'string' || fullName.trim() === '') {
            return '';
        }
        const parts = fullName.trim().split(' ');
        return parts[0];
    }
}
