import {AjaxRequest} from './AjaxRequest.js';

export class Auth {
    public static async isLogged(): Promise<any> {
        const ajaxRequest = new AjaxRequest();
        const token: string | null = ajaxRequest.jwt();
        ajaxRequest.bearerToken = token;
        const url = new URL(window.location.href);
        const paths = url.pathname.split('/').filter(item => item);
        try {
            const data = await ajaxRequest.get('/auth/islogged/' + paths[0]);
            if (!data.success) {
                throw new Error(data.message);
            } else {
                localStorage.setItem(ajaxRequest.userDataName, JSON.stringify(data.data));
            }
            Auth.addMetaTag('token', token);
            return data;
        } catch (error) {
            window.location.href = '/auth?error=' + error;
        }
    }

    private static addMetaTag(name: string, content: string | null): void {
        const meta: HTMLMetaElement = document.createElement('meta');
        meta.name = name;
        if (content !== null) {
            meta.content = content;
        }
        document.head.appendChild(meta);
    }

    public static firstName(fullName: string | null): string {
        if (typeof fullName !== 'string' || fullName.trim() === '') {
            return '';
        }
        const parts: string[] = fullName.trim().split(' ');
        return parts[0];
    }

}